/* =============================== */
/*  SECTION FORM
/* =============================== */


.form-row p {
    width: 100%;
}

input, textarea, select {
    width: 100%;
    border: 1px solid var(--main-green);
    border-radius: 15px;
    padding: 5px 20px;
    background-color: var(--white);
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    transition: 0.35s ease-in-out;
}

label {
    margin-bottom: 2px;
}

.wpcf7 input:focus,
.wpcf7 textarea:focus {
    box-shadow: 0 0 0 2px var(--main-green);
    outline: none;
}

.submit-row p {
    display: flex;
    flex-direction: column;
    align-items: center;
}



.wpcf7-not-valid-tip {
    background-color: rgb(185, 0, 0);
    color: #fff;
    padding-inline: 10px;
    border-radius: 10px;
    margin-top: 2px;
}

.wpcf7-response-output {
    background-color: #ffb027;
    color: #000;
}

.wpcf7 form.sent .wpcf7-response-output {
    background-color: #0f8828;
    border-color: #0f8828 !important;
    color: #fff;
}

/* SECTIONPHOTOVOLTAICS */

#photovoltaics .wpcf7-list-item-label {
    color: #275E68;
    font-weight: 500;
}

#photovoltaics {
    position: relative;
    margin-top: 20px;
    display: flex;
}

#photovoltaics input[type='checkbox'] {
    appearance: none;
    -webkit-appearance: none;
    width: 20px;
    height: 21px;
    border: 2px solid #275E68;
    border-radius: 7px;
    background: #fff;
    cursor: pointer;
    display: inline-block;
    position: relative;
    margin-right: 10px;
    transition: 0.3s;
}

#photovoltaics input[type='checkbox']:hover {
    cursor: pointer;
    background-color: #275E68;
}

#photovoltaics input[type='checkbox']:checked {
    background-color: #275E68;
}

#photovoltaics input[type='checkbox']:checked::after {
    content: "";
    position: absolute;
    top: 3px;
    left: 7px;
    width: 6px;
    height: 12px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

#photovoltaics input[type='checkbox']:checked {
    content: '#002714'
}

#photovoltaics label {
    display: flex;
    align-items: center;
}


/* SECTION ACCEPTANCES */

.form-acceptances {
    padding-top: 10px;
}

.wpcf7-list-item {
    display: flex;
}

.form-acceptances label {
    display: flex;
    font-size: 0.9rem;
}


.form-acceptances .wpcf7-list-item {
    margin: 0;
}

.form-acceptances a {
    font-weight: 600;
    color: #62398F;
}

.form-acceptances p {
    color: #000;
    font-weight: 300;
    margin-bottom: 0; 
    font-size: 0.9rem !important;
    line-height: 1rem
}


.form-visible {
    position: relative;

}

.wpcf7-list-item {
    margin: 0 !important; 
}

.form-hidden {
    height: 0;
    overflow: hidden;
    margin-top: 10px;
    transition: height 0.35s ease-in-out;
}

#offer-hidden p {
    display: block;
    margin-top: -0.9rem;
}

#offer-hidden.show {
    margin-top: 0;
    margin-bottom: 1rem;
}

.form-visible p {
    position: relative;
    display: block;
}

.form-more {
    cursor: pointer;
    font-weight: 600;
    color: var(--dark-green);
    line-height: 1.5rem;
    margin-bottom: 10px;
    padding-left: 20px;
}

.form-marketing {
    margin-bottom: 10px
}


.form-acceptances input[type='checkbox'] {
    width: 20px;
    height: 20px;
    margin-right: 10px;
    border-radius: 5px;
}

/* SAFE DATA */
.safe-data {
    font-size: 1.2rem;
    width: fit-content;
    font-weight: 500;
    color: var(--dark-green);
    margin: 0 auto;
    margin-bottom: 10px;
    text-align: center;
    position: relative;

    &::before {
        content: "";
        position: absolute;
        display: block;
        background-image: url(../images/icon-padlock.png);
        background-size: contain;
        background-repeat: no-repeat;
        /* background-color: red; */
        width: 25px;
        height: 25px;
        left: -1.5rem;
        top: 2px;
    }   
}

/* SECTION SUBMIT BUTTON */

.submit-wrapper {
    margin-top: 30px;
    margin-bottom: 30px;
    text-align: center;
}

.submit-wrapper .cta {
    min-width: 200px;
}

.wpcf7-submit {
    background-color: var(--orange);
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    font-weight: 500;
    text-transform: uppercase;
    transition: 0.4s;
}

.wpcf7-submit:hover {
    background-color: #2ea2a8;

}



/* !TEMP MARKUP */
.submit-wrapper .cta {
    display: none !important;
}
/* !-------------- */
